Subject: [TR] Battery Tenders

From: dennis culligan <[email-masked]>
Date: Tue, 29 Jan 2013 14:01:56 -0500 (EST)

A few years ago I attended a tour of Jim Taylor's car collection in 
upstate NY. Every car in the collection (100+) was registered, insured 
and ready to run thanks to dozens and dozens of Battery Tenders lining 
the floor between the rows of cars.  A very impressive collection, by 
the way - lots of British cars (Aston Martins, Healeys, a few Triumhs 
and MGs) along with every other type of car you can imagine including a 
"barn find" Cobra that was actually built into somebody's house!
Dennis Culligan / 1976 TR6 CF57948U

** [email-masked] **

Archive: http://www.team.net/archive